Bug 224593 - devel/py-magic: Add CONFLICTS (with devel/py-python-magic)
Summary: devel/py-magic: Add CONFLICTS (with devel/py-python-magic)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2017-12-26 03:24 UTC by Shane
Modified: 2018-02-19 07:47 UTC (History)
2 users (show)

See Also:
koobs: merge-quarterly?


Attachments
add conflict to devel/py-magic and devel/py-python-magic (763 bytes, patch)
2017-12-26 03:24 UTC, Shane
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2017-12-26 03:24:27 UTC
Created attachment 189104 [details]
add conflict to devel/py-magic and devel/py-python-magic

There is an undocumented conflict between devel/py-magic and devel/py-python-magic

Both ports install magic.py into python site-packages
Comment 1 Li-Wen Hsu freebsd_committer 2018-01-12 12:40:49 UTC
koobs: are you OK with this?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-02-19 02:42:55 UTC
Comment on attachment 189104 [details]
add conflict to devel/py-magic and devel/py-python-magic

Approved by: koobs (maintainer, py-python-magic)
Comment 3 commit-hook freebsd_committer 2018-02-19 07:46:56 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Feb 19 07:46:27 UTC 2018
New revision: 462283
URL: https://svnweb.freebsd.org/changeset/ports/462283

Log:
  Register CONFLICTS

  PR:		224593
  Submitted by:	Shane <FreeBSD@ShaneWare.Biz>
  Approved by:	koobs (maintainer, py-python-magic)
  MFH:		2018Q1

Changes:
  head/devel/py-magic/Makefile
  head/devel/py-python-magic/Makefile